package io.renren.modules.app.service.impl;


import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.dao.GrbgDao;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.GrbgEntity;
import io.renren.modules.app.service.GrbgService;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.UUID;


@Service("grbgService")
public class GrbgServiceImpl extends ServiceImpl<GrbgDao, GrbgEntity> implements GrbgService {


    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param grbgEntity
     * @return
     */
    @Override
    public PageInfo<GrbgEntity> queryByPage(Integer pageNum, Integer pageSize, GrbgEntity grbgEntity) {
        PageHelper.startPage(pageNum, pageSize);
        List<GrbgEntity> grbgEntitys = baseMapper.queryByPage(grbgEntity);
        PageInfo<GrbgEntity> pageInfo = new PageInfo<GrbgEntity>(grbgEntitys);
        return pageInfo;
    }

 

	@Override
	public void insertcqbg(GrbgEntity grbgEntity) {
		String temp_str="";   
	    Date dt = new Date();   
	    //最后的aa表示“上午”或“下午”    HH表示24小时制    如果换成hh表示12小时制   
	    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
	    temp_str=sdf.format(dt);
	    
	    String temp_str1 = "";
		Date dt1 = new Date();
		// 最后的aa表示“上午”或“下午” HH表示24小时制 如果换成hh表示12小时制
		SimpleDateFormat sdf1 = new SimpleDateFormat("yyyyMMddHHmmss");
		temp_str1 = sdf1.format(dt1);
		String maxdjbh = baseMapper.queryByCount(temp_str);
		String newdjbh = "";
		if ("".equals(maxdjbh) || maxdjbh == null) {
			newdjbh =temp_str1 + "0001";
		} else if (!"".equals(maxdjbh) && maxdjbh != null) {
			String aa = Integer.parseInt(maxdjbh) + 1 + "";
			DecimalFormat df = new DecimalFormat("0000");
			String result = df.format(Integer.parseInt(aa));
			newdjbh =temp_str1 + result;
		}
		
//		//1.grbg表中记录该变更数据。
	    grbgEntity.setBgrq(temp_str);
	    grbgEntity.setBgdbh(newdjbh);
	    FwxxEntity f=baseMapper.selectfwxx(grbgEntity.getFwbm());
	    Double ye=f.getGrje()+f.getDwje()+f.getGgsy()-f.getZqje();
	    if(!"".equals(ye)&&ye!=null){
	    	grbgEntity.setDqye(ye);
	    }
	    baseMapper.insertcqbg(grbgEntity);
		//2.修改fwxx表中该产权人信息。
		baseMapper.updatefwxx(grbgEntity);
	}


}